Page MenuHomePhabricator

importdump warning: call_user_func() expects parameter 1 to be a valid callback, cannot access private method BackupReader::reportPage() in WikiImporter.php
Closed, ResolvedPublic

Description

Hello. The latest version of mediawiki is installed on my website. (on ubuntu 18.04, php 7.2)
I exported some pages on my site (.xml).
then when I give this command in ssh interface I get the following error.

php importDump.php --conf ../LocalSettings.php --uploads ../Vikipedi-20191123083406.xml

PHP Warning:  call_user_func() expects parameter 1 to be a valid callback, cannot access private method BackupReader::reportPage() in WikiImporter.php on line 474
PHP Warning:  call_user_func_array() expects parameter 1 to be a valid callback, cannot access private method BackupReader::handleRevision() in WikiImporter.php on line 500
Done!
You might want to run rebuildrecentchanges.php to regenerate RecentChanges,
and initSiteStats.php to update page and revision counts

Note: I researched on the Internet. but unfortunately I didn't even come across this error once in mediawiki :(

Thank you in advance for your help.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 23 2019, 2:29 PM
Esginmurat updated the task description. (Show Details)Nov 23 2019, 2:32 PM

There is no "error", only a warning...

Aklapper renamed this task from importdump error. to importdump warning: call_user_func() expects parameter 1 to be a valid callback, cannot access private method BackupReader::reportPage() in WikiImporter.php.Nov 23 2019, 11:40 PM

Hello. The latest version of mediawiki is installed on my website.

Which exact MediaWiki version is "the latest version"?

Esginmurat added a comment.EditedNov 24 2019, 6:17 AM

Hello. The latest version of mediawiki is installed on my website.

Which exact MediaWiki version is "the latest version"?

Dear admin; Thank you for responding.
In fact, this message does not make the process. that is, it does not import. That's why it looks like a mistake.
I downloaded the latest version via "git". so it's like 1.35 alpha. In the version, it says 1.35.0-alpha. Updates are automatic every day.
Unable to import. Thank you in advance for your help.

You could revert that change locally. Or wait for someone else to fix it in the MediaWiki code repository.
(Or you could rather run a stable version of MediaWiki instead of an unstable alpha development version if you really don't know a "solution". :)

You could revert that change locally. Or wait for someone else to fix it in the MediaWiki code repository.
(Or you could rather run a stable version of MediaWiki instead of an unstable alpha development version if you really don't know a "solution". :)

understood. Thank you for your interest. have a nice day.

Change 552873 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/core@master] Mark BackupReader::reportPage() public

https://gerrit.wikimedia.org/r/552873

Change 552873 merged by jenkins-bot:
[mediawiki/core@master] Mark BackupReader::reportPage() public

https://gerrit.wikimedia.org/r/552873

Reedy closed this task as Resolved.Nov 26 2019, 5:36 PM
Reedy claimed this task.

@Mainframe98 my issue occurred on the latest master...

@Physikerwelt, I only just noticed that there's a month difference between this task and yours; my apologies. Feel free to unduplicate.

Looks like this error hasn't been backported to 1.34, where the import functionality seems broken Topic:Vdxb9sd0hhit1vw8

The "root" cause is https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/542553/ - which is not part of REL1_34 (when looking at "included in" on gerrit)

In REL1_34 is no visibility set (which means public)
https://gerrit.wikimedia.org/r/plugins/gitiles/mediawiki/core/+/REL1_34/maintenance/importDump.php#186

Reedy added a comment.Dec 30 2019, 2:46 PM

The "root" cause is https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/542553/ - which is not part of REL1_34 (when looking at "included in" on gerrit)
In REL1_34 is no visibility set (which means public)
https://gerrit.wikimedia.org/r/plugins/gitiles/mediawiki/core/+/REL1_34/maintenance/importDump.php#186

Indeed, that report does not seem to be on REL1_34